> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# business

> GenericMDOProvider reads MDO lists with default settings

## "business" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'business'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/business
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("business", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name              | StyleHint | ExtraInfo |
| -- | ----------------- | --------- | --------- |
| 1  | Advokater         |           |           |
| 2  | Bank/Finance      |           |           |
| 5  | Grafisk           |           |           |
| 9  | Grosister         |           |           |
| 6  | Handel            |           |           |
| 7  | Hotell/Restaurant |           |           |
| 8  | Industri          |           |           |
| 3  | Insurance         |           |           |
| 4  | IT / EDB          |           |           |
| 10 | Offentlig         |           |           |
| 13 | Other             |           |           |
| 11 | Service           |           |           |
| 12 | Transport         |           |           |

## Related MDO Lists

* "businessheadings"
* "businessheadingswithallitem"
* "businessheadingswithallitemwithnoselection"
* "businessheadingswithnoselection"
* "businesswithallitem"
* "businesswithallitemwithnoselection"
* "businesswithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.Business](/en/api/reference/webapi/SuperOffice.WebApi.Data.Business.md)
- [NSBusiness](/en/automation/crmscript/reference/CRMScript.NetServer.NSBusiness.md)
- [Business table](/en/database/tables/business.md)
- [Delete Business](/en/api/reference/restful/rest/list_business/delete-business.md)
- [Get Business](/en/api/reference/restful/rest/list_business/get-business.md)
- [Post Business](/en/api/reference/restful/rest/list_business/post-business.md)
